import { ɵɵdefineInjectable, Injectable, Component, ViewEncapsulation, ViewChild, NgModule } from '@angular/core';

class StringHighlighterService {
    constructor() { }
}
StringHighlighterService.ɵprov = ɵɵdefineInjectable({ factory: function StringHighlighterService_Factory() { return new StringHighlighterService(); }, token: StringHighlighterService, providedIn: "root" });
StringHighlighterService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
StringHighlighterService.ctorParameters = () => [];

class StringHighlighterComponent {
    ngOnInit() {
        this.controlledContent = this.originalContent = this.content.nativeElement.textContent;
    }
    markText(value) {
        this.controlledContent = this.originalContent;
        this.controlledContent = this.originalContent.replace(new RegExp(value, 'g'), `<span class="mark">${value}</span>`);
    }
}
StringHighlighterComponent.decorators = [
    { type: Component, args: [{
                selector: 'lib-string-highlighter',
                template: `
    <input type="text" (keydown.enter)="markText($event.target.value)">
    <div #content [hidden]="true">
      <ng-content></ng-content>
    </div>

    <div [innerHTML]="controlledContent"></div>
  `,
                encapsulation: ViewEncapsulation.None,
                styles: [`.mark {background-color: yellow}`]
            },] }
];
StringHighlighterComponent.propDecorators = {
    content: [{ type: ViewChild, args: ['content', { static: true },] }]
};

class StringHighlighterModule {
}
StringHighlighterModule.decorators = [
    { type: NgModule, args: [{
                declarations: [StringHighlighterComponent],
                imports: [],
                exports: [StringHighlighterComponent]
            },] }
];

/*
 * Public API Surface of string-highlighter
 */

/**
 * Generated bundle index. Do not edit.
 */

export { StringHighlighterComponent, StringHighlighterModule, StringHighlighterService };
//# sourceMappingURL=string-highlighter.js.map
